Subject: Re: cut and paste problem with xemacs Was Re: [ANNOUNCEMENT] Available for test: cygwin-1.5.0-1
From: David Rothenberger <[email-masked]>
To: "Antoine Levy-Lambert" <[email-masked]>
Cc: [email-masked]
Date: Mon, 21 Jul 2003 14:13:49 -0700

Antoine Levy-Lambert writes:
 > Hi Christopher, Corinna,
 > 
 > My xemacs is XEmacs 21.4.1.0 "Military Intelligence (Windows)" configured
 > for `i686-pc.cywin`
 > 
 > With cygwin 1.3, cut and paste between other applications and Xemacs works.
 > With cygwin 1.5.0-1, cut and paste between other applications and Xemacs
 > does not work

I'm experiencing the same problem with XEmacs 21.4.13, compiled
myself from CVS sources with X support enabled (using 1.3.22).

(See <http://cygwin.com/ml/cygwin/2003-07/msg01221.html> for my post
about the problem.)

One work-around I've discovered is to start XEmacs from an rxvt
window instead of directly from bash.  That fixes the problem for
me.  I use the following shortcut for starting XEmacs:

  start /min c:\cygwin\bin\rxvt -T "start XEmacs" -e /bin/bash --login -i -c "DISPLAY= /usr/local/bin/xemacs &"

This causes a minimized rxvt window to be created, but it quickly
goes away once XEmacs starts starting.

HTH,
Dave

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/